Skip to content
MyStocks Developers
API v1

API v1

Current stable contract

Versioning policyRelease changelog
Sandbox console

Sub-account wallet

Sub-Accounts & White-Label Retail KYC

GET

/users/{userId}/wallet

Sub-account wallet

Sandbox availablelistWallet

Returns USD wallet data, indicative currency equivalents and opt-in actual currency wallets for a sub-account. Transaction history is returned separately by GET /users/{userId}/transactions.

Parameters

walletContract1 | 2query

Opt in to actual currency wallets. Legacy indicative views remain unchanged.

Example: 1

userIdstringpathRequired

Example: usr_abc123

Headers

AuthorizationstringRequired

Bearer sk_sandbox_<your_key> for sandbox requests.

Response fields

subAccountIdstringRequired
externalIdstring
walletobjectRequired
wallet.currencystring
wallet.balancenumber
walletContractVersion1 | 2
walletModelUSD_LEDGER_WITH_INDICATIVE_EQUIVALENTS | NATIVE_CURRENCY_WALLETS
walletsobject[]
wallets[].balanceKindstring
wallets[].indicativeboolean
wallets[].spendableboolean
wallets[].currencystring

Example: "KES"

wallets[].balancenumber

Example: 65000

wallets[].availablenumber

Example: 65000

wallets[].ledgerCurrencystring

Example: "USD"

wallets[].ledgerBalancenumber

Example: 500

wallets[].fxRatenumber

Example: 130

wallets[].fxSourcestring

Example: "MYSTOCKS_MANAGED_FX"

wallets[].fxRateAsOfstring | null
supportedConversionCurrenciesstring[]
currencyWalletsobject[]
currencyWallets[].currencystring
currencyWallets[].balanceKindstring
currencyWallets[].cashBalancenumber
currencyWallets[].reservednumber
currencyWallets[].externallyReservednumber
currencyWallets[].totalCashnumber
currencyWallets[].availablenumber
currencyWallets[].withdrawablenumber
currencyWallets[].availableForConversionnumber
currencyWallets[].policyEligibleboolean
currencyWallets[].internalTransferAvailablenumber

Traceable available funds for internal transfers

currencyWallets[].nativeFundingEnabledboolean
currencyWallets[].nativePayoutEnabledboolean
currencyWallets[].conversionEnabledboolean
managedFxobject
managedFx.ledgerCurrencystring

Example: "USD"

managedFx.sourcestring

Example: "MYSTOCKS_MANAGED_FX"

managedFx.rateConventionstring

Example: "local currency units per USD"

managedFx.supportedCurrenciesstring[]
managedFx.asOfstring | null

Response codes

200Actual USD wallet, indicative views and opt-in actual currency wallets. Transaction history is a separate endpoint.